#pragma once
#include <cstdint>

class Scene_Base;

class Render_Frame_Completion {
public:
    virtual ~Render_Frame_Completion() = default;
private:
    friend class Scene_Base;
    virtual void render_frame_completed(std::uint64_t target_interval_ns) = 0;
};
